//台账统计
import request from "@/utils/request";

//获取地图点位数据
export function getAreaLineInfo(data) {
    return request({
        url: "/event-boot/areaInfo/getAreaLineInfo",
        method: "post",
        data
    });
}
//ITIC SEMI 获取数据
export function getPlot(data) {
    return request({
        url: "/event-boot/monitor/getPlot",
        method: "post",
        data
    });
}
//ITIC SEMI 获取数据
export function getVoltageToleranceCurve(data) {
    return request({
        url: "/event-boot/areaAnalysis/getVoltageToleranceCurve",
        method: "post",
        data
    });
}
//电压暂降表及密度 DISDIP 获取数据
export function IEC411(data) {
    return request({
        url: "/event-boot/monitor/IEC411",
        method: "post",
        data
    });
}
//电压暂降表及密度 IEC61000 获取数据
export function IEC28(data) {
    return request({
        url: "/event-boot/monitor/IEC28",
        method: "post",
        data
    });
}
//电压暂降表及密度 IEC61000 获取数据
export function eventDisdip(data) {
    return request({
        url: "/event-boot/monitor/eventDisdip",
        method: "post",
        data
    });
}
//电压暂降表及密度 暂降密度图 获取数据
export function getCoords(data) {
    return request({
        url: "/event-boot/monitor/getCoords",
        method: "post",
        data
    });
}
// 暂降分布统计 左 获取数据
export function getReasonTypeTime(data) {
    return request({
        url: "/event-boot/monitor/getReasonTypeTime",
        method: "post",
        data
    });
}
// 暂降分布统计 右 获取数据
export function getStatistic(data) {
    return request({
        url: "/event-boot/monitor/getStatistic",
        method: "post",
        data
    });
}
export function getEventReason(data) {
    return request({
        url: "/event-boot/areaAnalysis/getEventReason",
        method: "post",
        data
    });
}
// 暂降分布统计 右 获取数据
export function getProbabilityDistribution(data) {
    return request({
        url: "/event-boot/monitor/getProbabilityDistribution",
        method: "post",
        data
    });
}
// 事件分析  获取数据
export function getMonitorEventAnalyseQuery(data) {
    return request({
        url: "/event-boot/monitor/getMonitorEventAnalyseQuery",
        method: "post",
        data
    });
}
// 事件分析  下载
export function downloadMonitorEventWaveFile(data) {
    return request({
        url: "/event-boot/monitor/downloadMonitorEventWaveFile",
        method: "post",
        data:data.lineId,
        responseType: 'blob'
    });
}
//   downloadWaveFile(data) {
//         return request({
//           url: '/event-boot/transient/downloadWaveFile',
//           method: 'post',
//           data:data,
//           responseType:'blob'
//         })
//       }
// 事件分析  shushiboxi 获取数据
export function getMonitorEventAnalyseWave(data) {
    return request({
        url: "/event-boot/transient/getTransientAnalyseWave",
        method: "post",
        data
    });
}
// 事件分析  获取数据
export function getRunOnlineRateData(data) {
    return request({
        url: "/device-boot/communicate/getRunOnlineRateData",
        method: "post",
        data
    });
}
// 事件分析  运行状态 获取数据
export function getComFlagInfoData(data) {
    return request({
        url: "/device-boot/communicate/getComFlagInfoData",
        method: "post",
        data
    });
}
// 获取区域未处理暂态事件
export function getNoDealEvents(data) {
    return request({
        url: "/event-boot/areaInfo/getNoDealEvents",
        method: "post",
        data
    });
}
// 获取区域中断设备
export function getAreaOffDev(data) {
    return request({
        url: "/device-boot/device/getAreaOffDev",
        method: "post",
        data
    });
}
// 获取监测点下未处理的暂降事件
export function getNoDealEventsByLineId(params) {
    return request({
        url: "/event-boot/areaInfo/getNoDealEventsByLineId",
        method: "get",
        params
    });
}
// 获取监测点下未处理的暂降事件
export function getTransientDetailById(data) {
    return request({
        url: "/event-boot/rmpEventDetail/getTransientDetailById",
        method: "post",
        params:data
    });
}